org.keycloak.dom.saml.v2.ac.classes

## Class PrincipalAuthenticationMechanismType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ExtensionListType
  - - org.keycloak.dom.saml.v2.ac.classes.PrincipalAuthenticationMechanismType

-     public class PrincipalAuthenticationMechanismType
      extends ExtensionListType

  Java class for PrincipalAuthenticationMechanismType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PrincipalAuthenticationMechanismType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Password" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}RestrictedPassword"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Token" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Smartcard" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}ActivationPin"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Extension"
       maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="preauth" type="{http://www.w3.org/2001/XMLSchema}integer" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActivationPinType` | `activationPin`
    `protected PasswordType` | `password`
    `protected BigInteger` | `preauth`
    `protected RestrictedPasswordType` | `restrictedPassword`
    `protected ExtensionOnlyType` | `smartcard`
    `protected TokenType` | `token`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrincipalAuthenticationMechanismType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationPinType` | `getActivationPin()` Gets the value of the activationPin property.
    `PasswordType` | `getPassword()` Gets the value of the password property.
    `BigInteger` | `getPreauth()` Gets the value of the preauth property.
    `RestrictedPasswordType` | `getRestrictedPassword()` Gets the value of the restrictedPassword property.
    `ExtensionOnlyType` | `getSmartcard()` Gets the value of the smartcard property.
    `TokenType` | `getToken()` Gets the value of the token property.
    `void` | `setActivationPin(ActivationPinType value)` Sets the value of the activationPin property.
    `void` | `setPassword(PasswordType value)` Sets the value of the password property.
    `void` | `setPreauth(BigInteger value)` Sets the value of the preauth property.
    `void` | `setRestrictedPassword(RestrictedPasswordType value)` Sets the value of the restrictedPassword property.
    `void` | `setSmartcard(ExtensionOnlyType value)` Sets the value of the smartcard property.
    `void` | `setToken(TokenType value)` Sets the value of the token property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `add, getContent, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### password

          protected PasswordType password

    - #### restrictedPassword

          protected RestrictedPasswordType restrictedPassword

    - #### token

          protected TokenType token

    - #### smartcard

          protected ExtensionOnlyType smartcard

    - #### activationPin

          protected ActivationPinType activationPin

    - #### preauth

          protected BigInteger preauth

  - ### Constructor Detail

    - #### PrincipalAuthenticationMechanismType

          public PrincipalAuthenticationMechanismType()

  - ### Method Detail

    - #### getPassword

          public PasswordType getPassword()

      Gets the value of the password property.
      Returns:
        possible object is `PasswordType`

    - #### setPassword

          public void setPassword(PasswordType value)

      Sets the value of the password property.
      Parameters:
        `value` - allowed object is `PasswordType`

    - #### getRestrictedPassword

          public RestrictedPasswordType getRestrictedPassword()

      Gets the value of the restrictedPassword property.
      Returns:
        possible object is `RestrictedPasswordType`

    - #### setRestrictedPassword

          public void setRestrictedPassword(RestrictedPasswordType value)

      Sets the value of the restrictedPassword property.
      Parameters:
        `value` - allowed object is `RestrictedPasswordType`

    - #### getToken

          public TokenType getToken()

      Gets the value of the token property.
      Returns:
        possible object is `TokenType`

    - #### setToken

          public void setToken(TokenType value)

      Sets the value of the token property.
      Parameters:
        `value` - allowed object is `TokenType`

    - #### getSmartcard

          public ExtensionOnlyType getSmartcard()

      Gets the value of the smartcard property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setSmartcard

          public void setSmartcard(ExtensionOnlyType value)

      Sets the value of the smartcard property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getActivationPin

          public ActivationPinType getActivationPin()

      Gets the value of the activationPin property.
      Returns:
        possible object is `ActivationPinType`

    - #### setActivationPin

          public void setActivationPin(ActivationPinType value)

      Sets the value of the activationPin property.
      Parameters:
        `value` - allowed object is `ActivationPinType`

    - #### getPreauth

          public BigInteger getPreauth()

      Gets the value of the preauth property.
      Returns:
        possible object is `BigInteger`

    - #### setPreauth

          public void setPreauth(BigInteger value)

      Sets the value of the preauth property.
      Parameters:
        `value` - allowed object is `BigInteger`

Copyright © 2021 JBoss by Red Hat. All rights reserved.